module_version: "1.0"

var:
  - name: input
    default: gcp-pubsub
  - name: project_id
    default: SET_PROJECT_NAME
  - name: topic
    default: stackdriver-firewall
  - name: subscription_name
    default: filebeat-gcp-firewall
  - name: credentials_file
  - name: credentials_json
  - name: debug
    default: false
  - name: keep_original_message
    default: false
  - name: tags
    default: [forwarded]
  - name: internal_networks

ingest_pipeline: ingest/pipeline.yml
input: config/input.yml

requires.processors:
- name: geoip
  plugin: ingest-geoip
